﻿.menu-item.has-sub .menu-submenu {
    display: none;
    position: static;
    visibility: hidden;
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transition: all 0.3s ease;
}

.menu-item.has-sub.active > .menu-submenu {
    display: block;
    visibility: visible;
    opacity: 1;
    max-height: 1000px; /* Adjust as needed */
}

.menu-item.has-sub > .menu-link {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.menu-caret {
    margin-left: 10px;
    transition: transform 0.2s ease;
}

.menu-item.has-sub.active > .menu-link .menu-caret {
    transform: rotate(180deg);
}
.ibox {
    clear: both;
    margin-bottom: 25px;
    margin-top: 0;
    padding: 0;
}

    .ibox.collapsed .ibox-content {
        display: none;
    }

    .ibox.collapsed .fa.fa-chevron-up:before {
        content: "\f078";
    }

    .ibox.collapsed .fa.fa-chevron-down:before {
        content: "\f077";
    }

    .ibox:after,
    .ibox:before {
        display: table;
    }

.ibox-title {
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    background-color: #ffffff;
    border-color: #e7eaec;
    border-image: none;
    border-style: solid solid none;
    border-width: 2px 0 0;
    color: inherit;
    margin-bottom: 0;
    padding: 15px 90px 8px 15px;
    min-height: 48px;
    position: relative;
    clear: both;
}

.ibox-content {
    background-color: #ffffff;
    color: inherit;
    padding: 15px 20px 20px 20px;
    border-color: #e7eaec;
    border-image: none;
    border-style: solid solid none;
    border-width: 1px 0;
}

.ibox-footer {
    color: inherit;
    border-top: 1px solid #e7eaec;
    font-size: 90%;
    background: #ffffff;
    padding: 10px 15px;
}
.user-drop-zone {
    min-width: 200px;
    padding: 5px;
}

.drop-zone-active {
    background-color: #e9ecef;
    border: 2px dashed #007bff;
}

.potential-drop-zone {
    background-color: #f8f9fa;
}
.badge .btn-close {
    font-size: 0.5rem;
    transform: translate(50%, -50%);
    color: red;
}
.avatar {
    vertical-align: middle;
    width: 50px;
    height: 50px;
    border-radius: 50%;
}
.btn.btn-icon-xxs {
    padding: 0.075rem 0.2375rem;
}